Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface LogServicesDef

Deprecated. Deprecated in WebLogic Server 7.0.

Use the Java internationalization APIs or, if internationalization is not required, use `weblogic.logging.NonCatalogLogger`.

    public interface LogServicesDef

The LogServicesDef interface defines application logging services for the WebLogic Server.

Method Summary
`void` | `debug(String s)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `error(String s)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `error(String msg, String stackTrace)` Deprecated. Throwables be left in their raw form rather than stringified so that loggers can manipulate them. Use error(String, Throwable) instead.
`void` | `error(String msg, Throwable th)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `error(Throwable th)` Deprecated. Throwables should be accompanied by a text explanation. Use error(String, Throwable) instead.
`void` | `info(String msg)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `info(String msg, Throwable th)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `log(String msg)` Deprecated. Use a more specific method such as info, error, or warning
`void` | `log(String msg, Throwable th)` Deprecated. Use a more specific method such as info, error, or warning
`void` | `security(String s)` Deprecated. Only the security service should log security messages.
`void` | `warning(String s)` Deprecated. Deprecated in WebLogic Server 6.1.

Method Detail

### log

    void log(String msg)

  Deprecated. Use a more specific method such as info, error, or warning

  Logs a message in the log file.

  Parameters:
    `msg` - Message to be written to the log file
  Throws:
    `T3Exception` - if the log message cannot be written

### log

    void log(String msg,
             Throwable th)

  Deprecated. Use a more specific method such as info, error, or warning

  Logs an error in the log file.

  Parameters:
    `msg` - Message to be written to the log file
    `th` - Error that prompted this log message
  Throws:
    `T3Exception` - if the message cannot be written

### info

    void info(String msg)

  Deprecated. Deprecated in WebLogic Server 6.1.

  Logs an info message in the log file.

  Parameters:
    `msg` - Message to be written to the log file
  Throws:
    `T3Exception` - if the message cannot be written

### info

    void info(String msg,
              Throwable th)

  Deprecated. Deprecated in WebLogic Server 6.1.

  Logs an info message in the log file.

  Parameters:
    `msg` - Message to be written to the log file
    `th` - Error that prompted this log message
  Throws:
    `T3Exception` - if the message cannot be written

### error

    void error(String msg,
               Throwable th)

  Deprecated. Deprecated in WebLogic Server 6.1.

  Logs an error in the log file.

  Parameters:
    `msg` - Message to be written to the log file
    `th` - Error that prompted this log message
  Throws:
    `T3Exception` - if the message cannot be written

### error

    void error(Throwable th)

  Deprecated. Throwables should be accompanied by a text explanation. Use error(String, Throwable) instead.

  Logs an error in the log file for a Throwable.

  Parameters:
    `th` - Throwable that prompted this log message
  Throws:
    `T3Exception` - if the message cannot be written

### error

    void error(String s)

  Deprecated. Deprecated in WebLogic Server 6.1.

  Logs the specified string as an error in the log file.

  Parameters:
    `s` - String message
  Throws:
    `T3Exception` - if the message cannot be written

### error

    void error(String msg,
               String stackTrace)

  Deprecated. Throwables be left in their raw form rather than stringified so that loggers can manipulate them. Use error(String, Throwable) instead.

  Logs the specified string and stacktrace as an error in the log file.

  Parameters:
    `msg` - String message
    `stackTrace` - Stack trace
  Throws:
    `T3Exception` - if the message cannot be written

### warning

    void warning(String s)

  Deprecated. Deprecated in WebLogic Server 6.1.

  Logs the specified string as a warning message in the log file.

  Parameters:
    `s` - String message
  Throws:
    `T3Exception` - if the message cannot be written

### security

    void security(String s)

  Deprecated. Only the security service should log security messages.

  Logs the specified string as a security flag in the log file.

  Parameters:
    `s` - String message
  Throws:
    `T3Exception` - if the message cannot be written

### debug

    void debug(String s)

  Deprecated. Deprecated in WebLogic Server 6.1.

  Logs the specified string as a debug message in the log file.

  Parameters:
    `s` - String message
  Throws:
    `T3Exception` - if the message cannot be written

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD